# 腾讯云呼叫中心react demo

## 目录结构
```
.
├── README.md
├── package-lock.json
├── package.json
├── public
│   └── index.html
├── server
│   └── dev.js         --服务端代码实现，包含云API请求代码，开发用
└── src                --前端页面目录
    ├── App.js
    ├── index.js
    └── styles.js
```
## 前提条件
1. 您已注册腾讯云账号，并完成企业认证
2. 登录[腾讯云呼叫中心控制台](https://console.cloud.tencent.com/ccc)，创建新应用
3. 添加座席账号

## 操作步骤

### 步骤2：配置demo文件

1. 找到并打开`server/dev.js`文件
2. 设置相关参数

- sdkAppId: 创建完呼叫中心实例后获取的sdkAppId
- userId: 登录的座席账号（在TCCC**管理后台（非控制台）**注册的）
- secretId、secretKey：[在此处获取](https://console.cloud.tencent.com/cam/capi)

### 步骤三：运行项目

> ⚠️注意：  
> 建议 node 环境为 v14.17.3 ~ v16.15.0。如遇到node版本18报错，尝试降级到建议版本，或者执行npm audit fix --force后重启项目。

[点击下载node](https://nodejs.dev/)

#### 1. 安装依赖
```bash
npm install
```

#### 2. 运行开发
```bash
npm run dev 
```
使用Chrome或Edge浏览器打开`http://localhost:3000/`

> ⚠️ 特别注意：  
> 服务端代码实现只是使用Node.js调用腾讯云的Node.jsSDK实现了一个简单的loginTCCC接口，接入方在接入时需要使用其他腾讯云支持的后端技术栈自行实现这个接口以获取必要信息。